#!/bin/sh

# Licensed Materials - Property of IBM
# 5655-W05, 5655-W09, 5724-L01, 5724-I82, 5724-M24, 5724-M23
# (c) Copyright IBM Corporation 2009. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

WAS_HOME=$1
PROFILE_NAME=$2
pwd=`pwd`
if [ $WAS_HOME = "." ]
then
  WAS_HOME=$pwd
fi
if ! [ -d "$JAVA_HOME" ]; then
  JAVA_HOME=$WAS_HOME/java
fi
if ! [ -d "$JAVA_HOME/jre/bin" ]; then
  JAVA_HOME=$WAS_HOME/java
fi
if ! [ -d "$JAVA_HOME/jre/bin" ]; then
  echo ERROR: JAVA_HOME must point to a Java installation containing jre/bin
  exit 1
fi

ENCODER_JAR=$WAS_HOME/runtimes/com.ibm.ws.admin.client_8.0.0.jar
if ! [ -f "$ENCODER_JAR" ]; then
  ENCODER_JAR=$WAS_HOME/runtimes/com.ibm.ws.webservices.thinclient_8.0.0.jar
fi
if ! [ -f "$ENCODER_JAR" ]; then
  echo ERROR: Unable to locate the WSEncoderDecoder class
  exit 1
fi

ENCODER_CP=$ENCODER_JAR:./encoder.jar
rm -f $WAS_HOME/properties/UTE_$PROFILE_NAME.tmp
$JAVA_HOME/jre/bin/java -cp $ENCODER_CP com.ibm.wbit.comptest.controller.EncoderMain $3 > $WAS_HOME/properties/UTE_$PROFILE_NAME.tmp
errorcode=$?
echo "java returned ErrorCode $errorcode"


echo UTESecurity.sh DONE.
exit 0

